Bug 198616 - Tool binaries like WebKitTestRunner have too aggressive stripping, resulting in non-symbolicated crash logs
Summary: Tool binaries like WebKitTestRunner have too aggressive stripping, resulting ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-06 11:39 PDT by Alexey Proskuryakov
Modified: 2019-06-10 14:35 PDT (History)
6 users (show)

See Also:


Attachments
proposed fix (7.58 KB, patch)
2019-06-06 11:41 PDT, Alexey Proskuryakov
ddkilzer: review+
ddkilzer: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2019-06-06 11:39:23 PDT
In configurations where stripping is performed, crash logs from bots can lack symbols for tool code. As far as I can tell, it's an Xcode default to strip all symbols from applications and command line tools, but not from frameworks.

rdar://problem/36386573
Comment 1 Alexey Proskuryakov 2019-06-06 11:41:48 PDT
Created attachment 371515 [details]
proposed fix
Comment 2 Jonathan Bedard 2019-06-06 14:45:54 PDT
Comment on attachment 371515 [details]
proposed fix

View in context: https://bugs.webkit.org/attachment.cgi?id=371515&action=review

> Tools/DumpRenderTree/mac/Configurations/DumpRenderTree.xcconfig:30
> +STRIP_STYLE=debugging

I would have expected this to be in DebugRelease.xcconfig. I suppose if we set it here, we have more data for Production builds, but if that was what we wanted, why not in Base.xcconfig?
Comment 3 Alexey Proskuryakov 2019-06-06 15:01:14 PDT
Both DebugRelease.xcconfig and Base.xcconfig affect all targets, whereas I only want to change the behavior where it is incorrect. 

One case where we have a value different from all and debugging is plug-in bundles. Since function symbols are present in those, and everything works well, I didn't want to change those.
Comment 4 Tim Horton 2019-06-06 23:24:51 PDT
Comment on attachment 371515 [details]
proposed fix

View in context: https://bugs.webkit.org/attachment.cgi?id=371515&action=review

> Tools/DumpRenderTree/mac/Configurations/DumpRenderTreeApp.xcconfig:34
> +STRIP_STYLE=debugging

Style-wise I think spaces around the = and a semicolon at the end are both traditional for xcconfigs.
Comment 5 David Kilzer (:ddkilzer) 2019-06-07 17:32:14 PDT
Comment on attachment 371515 [details]
proposed fix

r=me, but please change code style to:

STRIP_STYLE = debugging;
Comment 6 Ryan Haddad 2019-06-10 14:35:18 PDT
Committed r246282: <https://trac.webkit.org/changeset/246282>